package com.mortals.xhx.module.product.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.product.model.ProductEntity;
import com.mortals.xhx.module.product.service.ProductService;
import java.util.Map;
/**
* ProductController
*
* 产品 控制器
*
* @author zxfei
* @date 2021-11-22
*/
@RestController
@RequestMapping("product")
public class ProductController extends BaseCRUDJsonMappingController<ProductService,ProductForm,ProductEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ProductController(){
        super.setFormClass(ProductForm.class);
        super.setModuleDesc( "产品");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, ProductForm form, Map<String, Object> model, Context context) {
        this.addDict(model, "productType", paramService.getParamByFirstOrganize("productType"));
        this.addDict(model, "dataType", paramService.getParamByFirstOrganize("dataType"));
        this.addDict(model, "authType", paramService.getParamByFirstOrganize("authType"));
        this.addDict(model, "productStatus", paramService.getParamByFirstOrganize("productStatus"));
        super.init(request, response, form, model, context);
    }
}